SolrClient::deleteByIds
SolrClient::deleteByQuery
SolrClient
PHP Manual

# SolrClient::deleteByQueries

Removes all documents matching any of the queries

### Description

public SolrUpdateResponse SolrClient::deleteByQueries ( array `$queries` )

Removes all documents matching any of the queries

### Parameters

`queries`

  The array of queries. This must be an actual php variable.

### Return Values

Returns a SolrUpdateResponse on success and throws a SolrClientException on failure.

### See Also

- SolrClient::deleteById
- SolrClient::deleteByIds
- SolrClient::deleteByQuery